antpm-downloader(1)

NAME
antpm-downloader - console based ANT-FS information retrieval client for Garmin GPS products.

SYNOPSIS
antpm-downloader [ OPTIONS ]

DESCRIPTION
antpm-downloader is a small command-line utility to retrieve information (sports tracks, etc.) from Garmin GPS products over the wireless ANT-FS protocols. Currently supported devices are the Forerunner 310XT. It is expected that the Forerunner 60, Forerunner 610, Forerunner 910XT, FR70 and Swim models work, but user feedback is required.

OPTIONS

-P [ --pairing ]
    Force pairing first

--dir-only
    Download and list device directory

-D [ --download ] arg Download a single file (hex id e.g. 0x12FB) from device

--erase arg
    Erase a single file (hex id e.g. 0x12FB) from device

--v arg
    Adjust verbosity level, varies in [1, 6]

  Help options

-h [ --help ]
    produce help message

-V [ --version ]
    Print version information

LINUX USER'S GUIDE

Make sure you're using the latest released version of ANT+minus.

Make sure that the cp210x kernel module is loaded: "sudo modprobe cp210x". Verify by looking at non-empty output of "lsmod | grep cp210x".

Make sure that the USB2ANT stick is connected to the machine.

Make sure cp210x driver was assigned to your USB2ANT. Verify by "dmesg | grep tty" and look for a line similar to: "[ 3274.854726] usb 6-2: cp210x converter now attached to ttyUSB0". Also make sure "ls /dev/ttyUSB*" lists your device node.

Your user must be able to access the /dev/ttyUSB0 device. This can be achieved e.g. by the installing the https://github.com/ralovich/antpm/blob/master/scripts/80-ant-stick.rules (https://github.com/ralovich/antpm/blob/master/scripts/80-ant-stick.rules) udev rule into /etc/udev/rules.d. Restart udev. Verify by "cat /dev/ttyUSB0".

Install the antpm binary package.

Enable "pairing mode" on your watch.

Bring your watch to ~50cm from the USB2ANT stick. Sometimes avoiding the proximity of a WiFi network helps.

Run antpm-downloader on your machine. This will attempt connecting to the watch and pair with it first.

During pairing, you have to click "Yes" on the watch to complete pairing.

Afterwards all activity information from the watch is downloaded to your machine. This can take some time.

The downloaded files are stored on your machine to the folder ConfigFolder/*device-id*/*current-date-time* (where ConfigFolder equals $XDG_CONFIG_HOME which usually points to $HOME/.config/antpm/ or $ANTPM_DIR/ if that is set).

The 310XT stores all information in .fit files. These files can describe waypoints/tracks/activities.

To convert the downloaded .fit files to a more commonly used .gpx format, issue the command "antpm-fit2gpx -F ConfigFolder/*device-id*/*current-date-time*" e.g. "antpm-fit2gpx -F ~/.config/antpm/4531082473/2013_03_26_10_58_19". This will populate the given folder with .gpx files.

HOW TO SUBMIT A BUG-REPORT

Please open a bug report at https://github.com/ralovich/antpm (https://github.com/ralovich/antpm)

In your report please include:

    The log of the program in question (usually saved under ~/.config/antpm)?

    What steps will reproduce the problem?

    What is the expected output? What do you see instead?

    What version of ANT+minus are you using? On what operating system? Is it pre-built of from sources?

    What GPS are you trying to use? What firmware version?

WINDOWS USER'S GUIDE

Make sure that the USB2ANT stick is connected to the machine.

Install the libusb driver by running "3rd_party/libusb-win32-bin-1.2.6.0/driver_installer/inf-wizard.exe"

DEVICES
Wireless ANT communications happens over a USB2ANT dongle. Under Linux the dongle is driven by cp210x kernel module, and presented to user-space as a USB serial port, /dev/ttyUSBxxx where xxx is an integer. The dongle is typically carrying the USB vendor id/product id pair of 0fcf/1004 or 0fcf/1008. Recent Linux systems employ udev to handle device nodes and permissions, thus appropriate

FILES

/lib/modules/`uname -r`/kernel/drivers/usb/serial/cp210x.ko
    Kernel driver module for USB2ANT dongle.

/dev/ttyUSBxxx
    Serial device created for dongle.

$XDG_CONFIG_HOME/antpm ($HOME/.config/antpm)
    Default config folder (downloaded content is also stored here).

ANTPM_DIR
    The ANTPM_DIR environment variable is honored to override the default config folder.

AUTHOR
antpm-downloader was written by Kristóf Ralovich. This man page is Copyright © 2010-2013 Kristóf Ralovich.

SEE ALSO
https://github.com/ralovich/antpm (https://github.com/ralovich/antpm)